## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:		gssntlmssp
Version:	1.2.0
Release:	%autorelease
Summary:	GSSAPI NTLMSSP Mechanism

License:	LGPLv3+
URL:		https://github.com/gssapi/gss-ntlmssp
Source0:        https://github.com/gssapi/gss-ntlmssp/releases/download/v%{version}/%{name}-%{version}.tar.gz

Patch01: 0001-Fix-potential-crash-when-no-target-name-is-present.patch

Requires: krb5-libs%{?_isa} >= 1.19

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: m4
BuildRequires: libxslt
BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: krb5-devel >= 1.11.2
BuildRequires: libunistring-devel
BuildRequires: openssl-devel
BuildRequires: pkgconfig(wbclient)
BuildRequires: zlib-devel
BuildRequires: make

%description
A GSSAPI Mechanism that implements NTLMSSP

%package devel
Summary: Development header for GSSAPI NTLMSSP
License: LGPLv3+

%description devel
Adds a header file with definition for custom GSSAPI extensions for NTLMSSP


%prep
%setup -q
%patch01 -p1 -b .crash

%build
autoreconf -fiv
%configure \
    --with-wbclient \
    --disable-static \
    --disable-rpath

make %{?_smp_mflags} all

%install
%make_install
rm -f %{buildroot}%{_libdir}/gssntlmssp/gssntlmssp.la
mkdir -p %{buildroot}%{_sysconfdir}/gss/mech.d
install -pm644 examples/mech.ntlmssp %{buildroot}%{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{find_lang} %{name}

%check
make test_gssntlmssp

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/gss/mech.d/ntlmssp.conf
%{_libdir}/gssntlmssp/
%{_mandir}/man8/gssntlmssp.8*
%doc COPYING

%files devel
%{_includedir}/gssapi/gssapi_ntlmssp.h

%changelog
* Fri Mar 17 2023 Simo Sorce <simo@redhat.com> 1.2.0-2
- Fix potential crash, backport for upstream

* Mon Feb 13 2023 Simo Sorce <simo@redhat.com> 1.2.0-1
- New security release 1.2.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Apr 01 2022 Simo Sorce <simo@redhat.com> 1.1.0-1
- Update to 1.1.0 and switch to auto[release|changelog]

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> 1.0.0-4
- Rebuilt with OpenSSL 3.0.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 16 2021 Simo Sorce <simo@redhat.com> 1.0.0-2
- Update URLs

* Tue Mar 16 2021 Simo Sorce <simo@redhat.com> 1.0.0-1
- Update to 1.0.0 release

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 19 2020 Tom Stellard <tstellar@redhat.com> 0.9.0-3
- Add BuildRequires: make

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 29 2020 Simo Sorce <idra@samba.org> 0.9.0-1
- Update to 0.9.0 release

* Fri Apr 24 2020 Simo Sorce <idra@samba.org> 0.8.0-1
- Update to 0.8.0 release

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Aug 01 2019 Simo Sorce <simo@redhat.com> 0.7.0-11
- Add missing build dependencies

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.7.0-8
- Remove obsolete Group tag

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-5
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 17 2017 Simo Sorce <simo@redhat.com> 0.7.0-3
- Add compatibility patch for openssl 1.1.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 03 2016 Simo Sorce <simo@redhat.com> 0.7.0-1
- New release 0.7.0

* Fri May 20 2016 Simo Sorce <simo@redhat.com> 0.6.0-5
- Fix regression in acquire credential code

* Tue Feb 23 2016 Simo Sorce <simo@redhat.com> 0.6.0-4
- Actually drop patches from git tree

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 20 2015 Simo Sorce <simo@redhat.com> 0.6.0-1
- New verion with fixes for 32 bit arches

* Thu Jan 08 2015 Simo Sorce <simo@redhat.com> 0.5.0-7
- Fix build failure in rawhide

* Wed Jan 07 2015 Simo Sorce <simo@redhat.com> 0.5.0-6
- fix bug #1178686

* Tue Sep 02 2014 Pádraig Brady <P@draigBrady.com> 0.5.0-5
- rebuild for libunistring soname bump

* Sat Aug 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Aug 13 2014 Simo Sorce <simo@redhat.com> 0.5.0-3
- More correct BuildRequires for wbclient

* Tue Aug 12 2014 Simo Sorce <simo@redhat.com> 0.5.0-2
- Add missing BuildRequires

* Tue Aug 12 2014 Simo Sorce <simo@redhat.com> 0.5.0-1
- Build release 0.5.0

* Fri Aug 01 2014 Simo Sorce <simo@redhat.com> 0.4.0-2
- put configuration in the new mech.d directory introduced as a backport in

* Sat Jun 21 2014 Simo Sorce <simo@redhat.com> 0.4.0-1
- New upstream release 0.4.0:

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jan 26 2014 Simo Sorce <simo@redhat.com> 0.3.1-1
- Fixes #1058025

* Mon Jan 13 2014 Simo Sorce <simo@redhat.com> 0.3.0-1
- New upstream release 0.3.0:

* Fri Dec 13 2013 Simo Sorce <simo@redhat.com> 0.2.0-6
- Backport patches to fix memory leaks

* Wed Dec 04 2013 Simo Sorce <simo@redhat.com> 0.2.0-5
- Add actual patch

* Wed Dec 04 2013 Simo Sorce <simo@redhat.com> 0.2.0-4
- Backport patch that fixes failures with gss_set_neg_mechs() calls.

* Wed Oct 23 2013 Simo Sorce <simo@redhat.com> 0.2.0-3
- Fix URLs with new upstream locations

* Fri Oct 18 2013 Simo Sorce <simo@redhat.com> 0.2.0-2
- add missing sepc file section

* Fri Oct 18 2013 Simo Sorce <simo@redhat.com> 0.2.0-1
- New upstream realease 0.2.0:

* Thu Oct 17 2013 Simo Sorce <simo@redhat.com> 0.1.0-3
- Fix Requires

* Thu Oct 17 2013 Simo Sorce <simo@redhat.com> 0.1.0-2
- fix date

* Thu Oct 17 2013 Simo Sorce <simo@redhat.com> 0.1.0-1
- Initial import of 0.1.0
